Consent
List a subject's consent records by cursor.
GET
HTTPBearerheader
AuthorizationBearer <token>subject_id*Subject IdFormat
uuidlimit?LimitRange
1 <= value <= 100Default
50cursor?|nullSuccessful response
application/json- response
consents*array<>next_cursor*|nullcurl -X GET 'https://example.com/v1/subjects/497f6eca-6276-4993-bfeb-53cbbbba6f08/consents'Example Response
{ "consents": [ { "consent_id": "b6c6f30d-b96b-4de6-8a03-238cde9dddba", "purpose": "string", "consent_version": "string", "granted_at": "string", "revoked_at": "string" } ], "next_cursor": "a7ec8888-a9c3-4732-a281-9a08510f220b"}Record an explicitly granted subject consent. POST
Previous Page
Revoke a subject consent and close its partner session records. DELETE
Contains pseudonymous personal data. Access is limited to the authenticated tenant and granted scope. A successful response confirms that associated runtime sessions were stopped.